package com.redhat.jboss.support.writer;

import java.util.List;
import java.io.Serializable;
import javax.inject.Inject;
import javax.batch.runtime.context.JobContext;
import javax.enterprise.context.Dependent;
import javax.inject.Named;
import javax.batch.api.chunk.ItemWriter;

@Named("MyWriter")
@Dependent
public class MyWriter implements ItemWriter {
    @Inject
    private JobContext jobCtx;
    
    public void open(final Serializable checkpoint) throws Exception {
        System.out.println("MyWriter#open() jobName=" + this.jobCtx.getJobName());
    }
    
    public void close() throws Exception {
        System.out.println("MyWriter#close()");
    }
    
    public void writeItems(final List<Object> items) throws Exception {
        System.out.println("MyWriter#writeItems() items=" + items);
    }
    
    public Serializable checkpointInfo() throws Exception {
        System.out.println("MyWriter#checkpointInfo()");
        return null;
    }
}
